/*
 * This file is part of  osso-dsp-headers-rx-44
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Markku Vorne <markku.vorne@nokia.com>
 */

#ifndef __MP3_DSPTASK_H__
#define __MP3_DSPTASK_H__

#include "dsp_arm_types.h"

typedef struct mp3_data_write {
    UNS_SINT dsp_cmd;
    UNS_SINT data_size;
} MP3_DATA_WRITE;

typedef struct mp3_write_status {
    UNS_SINT dsp_cmd;
    UNS_SINT status;
    UNS_SINT buffer_bytes_free;
} MP3_WRITE_STATUS;

#endif // #ifndef __MP3_DSPTASK_H__
