/*
 * This file is part of  osso-dsp-headers-rx-44
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Markku Vorne <markku.vorne@nokia.com>
 */

#ifndef __AAC_DSPTASK_H__
#define __AAC_DSPTASK_H__

#include "dsp_arm_types.h"

#define MP4AACDEC_SET_STATUS (0x106)

typedef struct aac_data_write {
    UNS_SINT dsp_cmd;
    UNS_SINT data_size;
} AAC_DATA_WRITE;

typedef struct aac_write_status {
    UNS_SINT dsp_cmd;
    UNS_SINT status;
    UNS_SINT buffer_bytes_free;
} AAC_WRITE_STATUS;

#endif // #ifndef __AAC_DSPTASK_H__
