/*
 * This file is part of  osso-dsp-headers-rx-44
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Markku Vorne <markku.vorne@nokia.com>
 */

#ifndef __DSP_ARM_TYPES_H__
#define __DSP_ARM_TYPES_H__

#include "version.h"

#if defined(__TMS320C55X__)
typedef Uns UNS_SINT;
typedef Int SINT;
typedef LgUns UNS_LGINT;
typedef LgUns UNS_INT;
typedef Bool BOOL;
typedef LgInt LGINT;
#else
typedef unsigned short int UNS_SINT;
typedef short int SINT;
typedef unsigned long int UNS_LGINT;
typedef unsigned short int BOOL;
typedef long int LGINT;
typedef unsigned int UNS_INT;
#endif



/*
ARM					typedef		DSP
-------------------------------------------------------
unsigned short int	UNS_SINT	Uns
unsigned long int	UNS_LGINT	LgUns
unsigned int		UNS_INT		LgUns
short int			SINT		Int
long int			LGINT		LgInt
unsigned short int	BOOL		Bool
*/

#endif // #define __DSP_ARM_TYPES_H__
